document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_6200 | ---
+++
@@ -14,5 +14,19 @@
GROUP_ID=$(id -g)
fi
+NO_CACHE="--no-cache"
+if [[ $* == *-n* ]]; then
+ NO_CACHE="--pull"
+fi
-docker-compose build --build-arg UID=$USER_ID --build-arg GID=$GROUP_ID
+if [[ $NO_CACHE == "--no-cache" ]]; then
+ read -p "Use Docker cache? [Y/y]? " -n 1 -r
+ echo # (optional) move to ... | bash |
d_bash_6201 | ---
+++
@@ -4,10 +4,12 @@
bamboo_BuildVersion="${bamboo_VersionBase}${bamboo_buildNumber}"
TEMPSHARE="$(mktemp -d /tmp/udp-XXXXXXXX)"
+trap "rm -rf ${TEMPSHARE}" EXIT
-mkdir -p "${TEMPSHARE}/${bamboo_BuildVersion}"
+mkdir -p "${TEMPSHARE}/${bamboo_BuildVersion}/interface"
+mkdir -p "${TEMPSHARE}/${bamboo_BuildV... | bash |
d_bash_6202 | ---
+++
@@ -1,5 +1,6 @@
alias ga='git add'
alias gf='git fetch'
+alias gsh='gitsh'
alias gl='git pull --prune'
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
alias gp='git push origin HEAD' | bash |
d_bash_6203 | ---
+++
@@ -13,45 +13,7 @@
# Filter for percent encoding - chose between "%20" and "+" for spaces with the
# -p option
percentencode() {
- local usage='Usage: percentencode [-h|-p] STRING [STRING...]'
- local opt
- local p
- OPTIND=1
- while getopts ':hp' opt; do
- case $opt in
- h) printf '%s\n' "$usage" >&2 &... | bash |
d_bash_6204 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash -ex
cd /rails_app
-exec bundle exec sidekiq
+exec bundle exec sidekiq -C config/sidekiq.yml | bash |
d_bash_6205 | ---
+++
@@ -21,8 +21,8 @@
# Arcanist Configuration
#
-# Since there is only one system where I use Arcanist, perhaps this
-# should go into the .local version of this file.
+# This is actually done in the .local version of this file. It is just left here
+# as an example.
- ARCANIST_BASH_COMPLETIONS=$HOME/D... | bash |
d_bash_6206 | ---
+++
@@ -6,7 +6,7 @@
jar=$2
mainClass=$3
-$JAVA_HOME/bin/javapackager -deploy \
+javapackager -deploy \
-BappVersion=$version \
-Bcategory=Finance \
-BlicenseType=GPLv3 \ | bash |
d_bash_6207 | ---
+++
@@ -13,6 +13,10 @@
export PATH=/usr/local/opt/coreutils/libexec/gnubin:${PATH}
export MANPATH=/usr/local/opt/coreutils/libexec/gnuman:${MANPATH}
fi
+
+# Disable Homebrew locale filtering (throws errors)
+# https://github.com/Linuxbrew/brew/issues/568
+export HOMEBREW_NO_ENV_FILTERING=1
# Inject Linu... | bash |
d_bash_6208 | ---
+++
@@ -11,4 +11,5 @@
popd
done
-$s docker push bazooka/runner-golang:latest $BZK_REGISTRY_HOST/bazooka/runner-golang:latest
+$s docker tag bazooka/runner-golang:1.3.1 $BZK_REGISTRY_HOST/bazooka/runner-golang:latest
+$s docker push $BZK_REGISTRY_HOST/bazooka/runner-golang:latest | bash |
d_bash_6209 | ---
+++
@@ -16,7 +16,8 @@
result=$( netstat -n -l -t 2> /dev/null | \
grep -i '^tcp' | \
awk '{ print $4 }' | \
- grep ':27017' )
+ grep ':27017' | \
+ grep -v '^127\.' )
# Abort is no results are present ... Perhaps MongoDB is not running?
[[ -z $result ]] && ex... | bash |
d_bash_6210 | ---
+++
@@ -4,8 +4,8 @@
-a "$TRAVIS_PULL_REQUEST" = false \
-a "$TRAVIS_BRANCH" = master ]
then
- mvn install
+ mvn install --settings "$dir/settings.xml"
#mvn -Pdeploy-to-imagej deploy --settings "$dir/settings.xml"
else
- mvn install
+ mvn install --settings "$dir/settings.xml"
fi | bash |
d_bash_6211 | ---
+++
@@ -1,2 +1,6 @@
export FZF_DEFAULT_OPTS=$FZF_DEFAULT_OPTS'
- --prompt "❯ " --pointer "❯" --marker "❯"'
+ --prompt "❯ " --pointer "❯" --marker "❯"
+ --color "fg:7,bg:-1,hl:2"
+ --color "fg+:7,bg+:-1,hl+:2"
+ --color "info:3,prompt:6,pointer:1"
+ --color "marker:1,spinner:2,header:4"' | bash |
d_bash_6212 | ---
+++
@@ -15,5 +15,5 @@
bundle exec rake db:schema:load
;;
esac
-bundle exec import:all assets:precompile
+bundle exec rake assets:precompile
bundle exec rails server --binding 0.0.0.0 | bash |
d_bash_6213 | ---
+++
@@ -7,6 +7,7 @@
rails r "Setting.set('developer_mode', true)"
rails r "Setting.set('websocket_port', '$WS_PORT')"
+rails r "Setting.set('fqdn', '$IP:$BROWSER_PORT')"
pumactl start --pidfile tmp/pids/puma.pid -d -p $APP_PORT -e $RAILS_ENV
script/websocket-server.rb start -d -p $WS_PORT | bash |
d_bash_6214 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
set -euo pipefail
-DIR=$(dirname "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)")
+DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)
. "$DIR/base.sh"
. "$DIR/ansi"
@@ -27,6 +27,6 @@
sudo ln -sf /usr/share/zoneinfo/Ameriaca/Sao_Paulo ... | bash |
d_bash_6215 | ---
+++
@@ -6,12 +6,14 @@
BUILD_DIR=$BUILD_SOURCESDIRECTORY/build
fi
-cd $BUILD_DIR/../objcgen
-./system-dependencies.sh --provision
-
OS=$(uname -s)
if [ "$OS" == "Darwin" ]; then
+ cd $BUILD_DIR/../objcgen
+ ./system-dependencies.sh --provision
+
export PATH=$PATH:/Library/Frameworks/Mono.framework/Versions... | bash |
d_bash_6216 | ---
+++
@@ -23,6 +23,8 @@
s|<POSIX/>|\&POSIX;|g
s|<UNIX/>|\&UNIX;|g
s|<e/>|\\|g
+s|<geq/>|\≥|g
s|<ldots/>|\&hellip|g
+s|<leq/>|\≤|g
s|---|\—|g
' || exit $? | bash |
d_bash_6217 | ---
+++
@@ -21,8 +21,10 @@
version=`grep '^VERSION' namebench-$$/libnamebench/version.py | cut -d\' -f2`
mv namebench-$$ namebench-$version
cd namebench-$version
+svn log > ChangeLog.txt &
./namebench.py -q5 -j50 -x -o /tmp/$$.csv -O 8.8.8.8
-svn log > ChangeLog.txt
+echo "Waiting for changelog"
+wait
find . -na... | bash |
d_bash_6218 | ---
+++
@@ -10,11 +10,13 @@
BAL_DEV_SHA=$(git rev-parse HEAD)
popd
-rsync -a diego-release updated-diego-release
+rsync -a diego-release/ updated-diego-release
-pushd updated-diego-release/src/code.cloudfoundry.org/buildpacklifecycle
- git checkout "$BAL_DEV_SHA"
- git add .
+pushd updated-diego-release
+ ... | bash |
d_bash_6219 | ---
+++
@@ -11,11 +11,8 @@
# Save and reload the history after each command finishes
export PROMPT_COMMAND="history -a; history -c; history -r; $PROMPT_COMMAND"
-alias ssh='ssh -c aes256-cbc -m hmac-sha1'
-
alias cvm='ssh dev1@vm1'
alias cvm2='ssh dev1@vm2'
-
alias sus='sudo -u $USER -- gnome-screensaver-comma... | bash |
d_bash_6220 | ---
+++
@@ -3,7 +3,8 @@
export DEPLOYMENT=1
./manage.py collectstatic --noinput
./manage.py compress -f
-./manage.py sqlclear game | ./manage.py dbshell
+echo "drop database $DATABASE_NAME;" | ./manage.py dbshell
+echo "create database $DATABASE_NAME;" | ./manage.py dbshell
./manage.py syncdb --noinput
echo "fro... | bash |
d_bash_6221 | ---
+++
@@ -26,4 +26,4 @@
sleep 1
done
-exec python3 nocrash.py
+exec python3 nocrash.py "$@" | bash |
d_bash_6222 | ---
+++
@@ -29,3 +29,8 @@
asdf_setup tmux 3.1b
asdf_setup yarn 1.22.4
asdf_setup github-cli 0.9.0
+
+# kubernetes
+asdf_setup minikube 1.11.0
+asdf_setup kubectl 1.19.0-beta.2
+asdf_setup skaffold 1.11.0 | bash |
d_bash_6223 | ---
+++
@@ -4,6 +4,7 @@
git clone -b dev https://github.com/GooglingTheCancerGenome/sv-callers.git
cd sv-callers/snakemake
+CALLERS="['manta','delly','lumpy','gridss']"
ECHO=$1
MODE=$2
SCH=$3
@@ -11,7 +12,7 @@
USE_CONDA=$([ "$ECHO" -eq "0" ] && echo "--use-conda" || echo "")
snakemake -C echo_run=$ECHO sam... | bash |
d_bash_6224 | ---
+++
@@ -7,6 +7,7 @@
if [[ "${TARANTOOL_VERSION}" == "2_x" ]]; then
brew install .ci/tarantool.rb --HEAD
else
- brew install .ci/tarantool.rb
+ brew install tarantool
+# brew install .ci/tarantool.rb
fi
fi | bash |
d_bash_6225 | ---
+++
@@ -14,6 +14,6 @@
fi
# Install homebrew packages
-brew install grc coreutils
+brew install grc coreutils tree
exit 0 | bash |
d_bash_6226 | ---
+++
@@ -1,6 +1,12 @@
#!/bin/bash
+# download, unzip, cleanup XenaPythonLib
wget https://github.com/fleitner/XenaPythonLib/archive/refs/heads/master.zip
unzip master.zip
mv XenaPythonLib-master/xenalib .
rm -r XenaPythonLib-master/ master.zip
+# install mono
+rpm --import "https://keyserver.ubuntu.com/pks/l... | bash |
d_bash_6227 | ---
+++
@@ -7,5 +7,8 @@
then
echo "Version changed to" $current_version ", previous was" $last_version_tag
export NEW_VERSION=$current_version
+ echo "Creating new git tag"
git tag $NEW_VERSION
+ echo "Creating zip file for release"
+ ./create_zip_for_upload.sh
fi | bash |
d_bash_6228 | ---
+++
@@ -11,15 +11,22 @@
name=`basename $1`
command="$1 s_server -www -accept $port -cert $cert -key $key"
+ echo "Launching $command"
+
$command &
pid=$!
- ./prober.py -a "$name default source build (no-ec)" -p $port $ip
+ sleep 1
+
+ ./prober.py -a "$name default source build"... | bash |
d_bash_6229 | ---
+++
@@ -16,7 +16,12 @@
FILES=
fi
+FORMULAS=
+for f in $FILES;do
+ FORMULAS="$FORMULAS $(echo $f | sed -n -E 's#^Formula/(.+)\.rb$#\1#p')"
+done
+
# keep formulas only
-FORMULAS=$(sed -n -E 's#^Formula/(.+)\.rb$#\1#p' <<< $FILES)
+#FORMULAS=$(sed -n -E 's#^Formula/(.+)\.rb$#\1#p' <<< $FILES)
# skip formul... | bash |
d_bash_6230 | ---
+++
@@ -10,6 +10,7 @@
# Create and save EC2 key pair
aws ec2 create-key-pair --key-name ${kname} --output text | sed 's/.*BEGIN.*-$/-----BEGIN RSA PRIVATE KEY-----/' | sed "s/.*${kname}$/-----END RSA PRIVATE KEY-----/" > ${kname}.pem
+chmod 600 ${kname}.pem
# Delete old stack
aws cloudformation delete-sta... | bash |
d_bash_6231 | ---
+++
@@ -40,8 +40,8 @@
n=0
fi
- if [[ ${n} -ne 1 ]]; then
- die "Error! Looking for '${2}'. Found ${n} matches."
+ if [[ ${n} -eq 0 ]]; then
+ die "Error! Could not find '${2}'."
fi
}
| bash |
d_bash_6232 | ---
+++
@@ -5,9 +5,9 @@
if [ "$OS" == 'debian' ] || [ "$OS" == 'ubuntu' ]; then
if [[ ! -f /.puphpet-stuff/update-puppet ]]; then
- echo "Downloading https://puphpet.com/assets/apt-puppetlabs/puppetlabs-release-${CODENAME}.deb"
- wget --quiet --tries=5 --timeout=10 -O "/.puphpet-stuff/puppetlabs... | bash |
d_bash_6233 | ---
+++
@@ -1,7 +1,6 @@
#!/bin/sh
echo "********* Change Hostname to Auto Scaling Group ********"
source /var/server-basics/amazon/aws/get_server_info.sh
-echo "Set Hostname from Auto Scaling Group"
if [[ ! -z "$ASG" ]]; then
echo "Changing Hostname to $ASG"
hostname $ASG | bash |
d_bash_6234 | ---
+++
@@ -1,6 +1,8 @@
export M2_HOME=$HOME/bin/maven/
export MAVEN_OPTS=-Xmx1512M
export ANT_OPTS="-Xmx512m"
-export JAVA_OPTS="-Xmx512m"
-export JAVA_HOME="/usr/lib/jvm/default-java"
+export JAVA_OPTS="-Xmx1024m"
+#export JAVA_HOME="/usr/lib/jvm/default-java"
export PATH=$PATH:$HOME/dev/processing/processing:$... | bash |
d_bash_6235 | ---
+++
@@ -12,7 +12,7 @@
if [ "$CONDITION" == "y" ]; then
git add package.json CHANGELOG.md;
git commit -m "chore(publish): ${VERSION}";
- git tag "${VERSION}";
+ git tag "${VERSION}" -m "See https://github.com/redux-observable/redux-observable/blob/master/CHANGELOG.md";
git push origin maste... | bash |
d_bash_6236 | ---
+++
@@ -13,8 +13,11 @@
sudo apt-get install libmysql-java -y
#to add libmysql file to path, add the following line to bashrc (or just run)
# export CLASSPATH=$CLASSPATH:/usr/share/java/mysql.jar
+echo "export CLASSPATH=$CLASSPATH:/usr/share/java/mysql.jar # Add mysql driver to java path" >> ~/.bashrc
#uncomme... | bash |
d_bash_6237 | ---
+++
@@ -5,7 +5,9 @@
docker run -d --name allinone --privileged -v /sys/fs/cgroup:/sys/fs/cgroup:ro ubuntu:xenial systemd
echo -e "\nUpdating APT cache..."
docker exec -i allinone apt-get -qq update
-echo "Installing dependencies..."
+echo -e "\nInstalling dependencies..."
docker exec -i allinone apt-get -qq i... | bash |
d_bash_6238 | ---
+++
@@ -1 +1,7 @@
-nsenter --target $(docker inspect --format '{{.State.Pid}}' $1) --mount --uts --ipc --net --pid bash
+#!/bin/bash
+CONTAINER_PID=$(docker inspect --format '{{if .State.Running}}{{.State.Pid}}{{end}}' $1)
+if [ -z $CONTAINER_PID ]; then
+ read -p "Application must be running for a terminal to be... | bash |
d_bash_6239 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
waitUrl="`pwd`/ui/waiting-room.html";
| bash |
d_bash_6240 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/bash
# Set permissions properly, since appspec.yml gets this wrong.
-find /vol/www/richmondsunlight.com/ -type f -mmin 5 -exec chown ricsun:web {} \;
-find /vol/www/richmondsunlight.com/ -type f -mmin 5 -exec chmod g+w {} \;
+chown -R ricsun:web /vol/www/richmondsunlight.com/
+chmod... | bash |
d_bash_6241 | ---
+++
@@ -3,12 +3,28 @@
LOG_DIR="/logs/elasticsearch/${HOSTNAME}"
mkdir -p "${LOG_DIR}"
-DATA_DIR="/data/elasticsearch/${HOSTNAME}"
-mkdir -p ${DATA_DIR}
+DIR_TAIL="elasticsearch"
+
+if [ -z "${DATA_DIR_PATTERN}" ] ; then
+ DATA_DIRS="/data/${DIR_TAIL}"
+ mkdir -p ${DATA_DIRS}
+else
+ ddirs=()
+ can... | bash |
d_bash_6242 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/sh
+dos2unix /data/hack/*.sh
sh /data/hack/mount.sh &
sh /data/hack/cleanup.sh &
sh /data/hack/skin.sh & | bash |
d_bash_6243 | ---
+++
@@ -5,7 +5,7 @@
p_prefix=""
p_dest_dir="$sdk_rootfs_root"
-export CROSS_COMPILE="${target_system}-"
+export CROSS_COMPILE="${target_bin_dir}/${target_system}-"
pkg_patch() {
p_run cp -f "$pkg_private_dir/cfg/busybox.config" ".config" | bash |
d_bash_6244 | ---
+++
@@ -1,2 +1,4 @@
export NVM_DIR="${HOME}/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh" --no-use # This loads nvm
+
+function npm-do { (PATH=$(npm bin):$PATH; eval $@;) } | bash |
d_bash_6245 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
set -evx
-sudo chef-server-ctl test -J $WORKSPACE/pedant.xml --all --compliance-proxy-tests
+sudo chef-server-ctl test -J $WORKSPACE/pedant.xml --all
if [ "$OMNIBUS_FIPS_MODE" == "true" ]
then
@@ -11,5 +11,5 @@
echo "Sleeping 120 seconds to allow the Chef Server to recon... | bash |
d_bash_6246 | ---
+++
@@ -5,10 +5,11 @@
snapshotName=$1
-
-#Start the commands going in unison.
for i in "${storageNodes[@]}"
do
+ nonsense=$(timeout $sshTime ssh -o ConnectTimeout=$sshTimeout $hostsystem "echo wakeup")
+ nonsense=$(timeout $sshTime ssh -o ConnectTimeout=$sshTimeout $hostsystem "echo get ready")
+ ... | bash |
d_bash_6247 | ---
+++
@@ -7,9 +7,9 @@
fi
sudo apt-get update 2> /dev/null || echo "No apt-get"
if [[ "$TRAVIS_PYTHON_VERSION" == 2.* ]]; then
- wget http://repo.continuum.io/miniconda/Miniconda-3.4.2-$OS.sh -O miniconda.sh;
+ wget http://repo.continuum.io/miniconda/Miniconda-latest-$OS.sh -O miniconda.sh;
else
- ... | bash |
d_bash_6248 | ---
+++
@@ -28,7 +28,8 @@
mailer/publishSigned \
standalone/publishSigned \
task/publishSigned \
- scaldi/publishSigned \
+ # SI-6240
+ #scaldi/publishSigned \
test/publishSigned \
freemarker/publishSigned \
thymeleaf/publishSigned | bash |
d_bash_6249 | ---
+++
@@ -1,7 +1,10 @@
#!/bin/bash
-set +x
+echo
+echo "Installing bash completion"
+sudo pacman -S bash-completion
+echo
BASHRC_PATH="$(realpath "$1/bashrc")"
if [ -f ~/.bashrc ] || [ -L ~/.bashrc ] | bash |
d_bash_6250 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
-killall java
+git pull
+sudo killall java
sudo rm /home/ec2-user/ShallWeDebate/nohup.out
play clean compile stage
sudo -E nohup /home/ec2-user/ShallWeDebate/target/universal/stage/bin/shallwedebate -Dhttp.port=80 & | bash |
d_bash_6251 | ---
+++
@@ -8,13 +8,16 @@
local java_pkgs=$(repoquery --repoid $1 --repofrompath "$1,$repopath" \
--archlist x86_64,noarch --whatprovides '**.jar' \
--qf="%{base_package_name}#%{name}#%{version}#%{release}#%{arch}"| sort -u)
+ files=""
for pkg in $java_pkgs; ... | bash |
d_bash_6252 | ---
+++
@@ -6,11 +6,15 @@
[ -S "$SSH_AUTH_SOCK" ] && { ssh-add -l >& /dev/null || [ $? -ne 2 ]; }
}
-# attempt to connect to a running agent
-check_ssh_agent || export SSH_AUTH_SOCK="$(< ~/.tmp/ssh-agent.env)"
+if [ -n "$SSH_AUTH_SOCK" ]; then
+ # attempt to connect to a running agent
+ check_ssh_agent || e... | bash |
d_bash_6253 | ---
+++
@@ -22,6 +22,8 @@
# NEXUS_PASSWORD
# NEXUS_SERVER
+# Set default values:
+
ARCHIVE=$NEXUS_ARTIFACT_NAME-$NEXUS_ARTIFACT_TAG.tar.gz
tar cvzf $ARCHIVE README.md defaults files handlers meta tasks templates | bash |
d_bash_6254 | ---
+++
@@ -22,7 +22,7 @@
server_type=$(grep -E "$arch\>" server_types | cut -d'|' -f2 | cut -d',' -f1)
server_name="image-writer-$(date +%Y-%m-%d_%H:%M)"
-server_id=$(create_server $server_type $server_name 50G "AUTHORIZED_KEY=$key boot=live rescue_image=$rootfs_url DONT_FORWARD_NET_CONFIG=1 DONT_GEN_ROOT_PASSWD... | bash |
d_bash_6255 | ---
+++
@@ -5,10 +5,14 @@
output_path="$HOME/.css/github.com.css"
cloned_path='/tmp/github-dark'
-if ! [[ -d "$cloned_path" ]]; then
- git clone 'https://github.com/StylishThemes/GitHub-Dark.git' "$cloned_path"
+if [[ -d "$cloned_path" ]]; then
+ cd "$cloned_path"
+ git checkout -f
+ git pull
+else
+ git clo... | bash |
d_bash_6256 | ---
+++
@@ -1,4 +1,12 @@
#!/bin/bash -eux
+
+pushd ~/workspace/nfs-volume-release
+ bosh reset-release
+popd
+
+pushd ~/workspace/mapfs-release
+ bosh reset-release
+popd
docker run \
-t \ | bash |
d_bash_6257 | ---
+++
@@ -3,7 +3,7 @@
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
-echo '// ./mkunix.sh' "$1"
+echo '// ./mkunixsignals.sh' "$1"
echo '// MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT'
echo
| bash |
d_bash_6258 | ---
+++
@@ -70,7 +70,7 @@
echo "$1" >> $database
-data=$(cat $database | sort)
+data=$(cat $database | sort | uniq)
echo "$data" > $database
| bash |
d_bash_6259 | ---
+++
@@ -2,4 +2,4 @@
sudo pacman -S --noconfirm --needed rustup go clang gcc gdb make cmake
sudo pacman -S --noconfirm --needed docker xorg-xhost jq
-go get github.com/motemen/ghq
+yay -S --noconfirm --needed ghq-bin | bash |
d_bash_6260 | ---
+++
@@ -18,7 +18,7 @@
smarg=--source-maps
fi
-npm run babel -- -o "out/js/app.$FRONT_END_HASH.js" ${smarg} \
+npm run babel -- -o "out/js/app.$FRONT_END_HASH.js" ${smarg} js/lib \
js/lib/chibi.js \
js/lib/keymaster.js \
js/lib/polyfills.js \ | bash |
d_bash_6261 | ---
+++
@@ -35,7 +35,7 @@
# Validate that .bashrc sources common file
common_str="source \".bash/common.sh\""
-if grep -Fxq "$common_str" $HOME/.bashrc; then
+if ! grep -Fxq "$common_str" $HOME/.bashrc; then
echo "Adding sourcing to a common file to bashrc..."
echo "$common_str" >> $HOME/.bashrc
fi | bash |
d_bash_6262 | ---
+++
@@ -1,2 +1,5 @@
# Take from ~/.ssh/known_hosts
-complete -W "$(echo `cat $HOME/.ssh/known_hosts | cut -f 1 -d ' ' | sed -e s/,.*//g | uniq | grep -v "\["`;)" ssh
+
+if [ -f ${HOME}/.ssh/known_hosts ]; then
+ complete -W "$(echo `cat ${HOME}/.ssh/known_hosts | cut -f 1 -d ' ' | sed -e s/,.*//g | uniq | grep ... | bash |
d_bash_6263 | ---
+++
@@ -4,18 +4,17 @@
# Use DEBUG=1 ./scripts/run-tests.sh to get debug output
[[ -z "${DEBUG:-""}" ]] || set -x
-declare -a ginkgo_args
-
+GINKGO="ginkgo"
if [[ -n "${GINKGO_WATCH:-""}" ]] ; then
- ginkgo_args=( "${ginkgo_args[@]}" "watch" )
+ GINKGO="$GINKGO watch"
fi
if [[ -z ${GINKGO_PERFORMANCE:-"... | bash |
d_bash_6264 | ---
+++
@@ -9,12 +9,8 @@
for benchmark in $(find . -mindepth 2 -name "run.sh" | grep -vE "$EXCLUDE"); do
name="$(basename "$(dirname "$benchmark")")"
echo
- info "$name [pack] sbt"
- TIME="%E" time sbt "$name/packageJS" >/dev/null
- info "$name [fastopt] sbt"
- TIME="%E" time sbt "$name/fastOptJS" >/dev/null
- i... | bash |
d_bash_6265 | ---
+++
@@ -3,7 +3,7 @@
set -o nounset
if [ "$#" -ne 1 ]; then
- echo 'Usage: ./set-config.sh <config_path>'
+ echo 'Usage: ./fetch-library.sh <config_path>'
exit 1
fi
| bash |
d_bash_6266 | ---
+++
@@ -1,27 +1,46 @@
#!/usr/bin/env bash
_git_elegant() {
- local cur prev opts
COMPREPLY=()
- cur="${COMP_WORDS[COMP_CWORD]}"
- prev="${COMP_WORDS[COMP_CWORD-1]}"
+ local cursor="${COMP_WORDS[COMP_CWORD]}"
- case "${prev}" in
+ # the first word prior to the ${cursor}
+ case ""${C... | bash |
d_bash_6267 | ---
+++
@@ -13,7 +13,7 @@
sudo apt-get -y install python-pip
sudo apt-get update
sudo apt-get install locales
-sudo pip install --upgrade mercurial
+sudo pip install --ignore-installed --upgrade mercurial
log "Extracting Bazel"
# Only because first time it extracts the installation | bash |
d_bash_6268 | ---
+++
@@ -2,6 +2,12 @@
echo "Initing vim-plug..."
curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
+
+echo "Initing for xkbswitch plugin"
+git clone https://github.com/myshov/xkbswitch-macosx.git ~/.vim/xkbswitch-macosx
+cp ~/.vim/xkbswitch-mac... | bash |
d_bash_6269 | ---
+++
@@ -20,7 +20,7 @@
echo "This command will tag the current commit $(git rev-parse --short HEAD) as version $version"
echo "defined programmatically in project/releases.go with release notes:"
echo
-echo "$notes" | xargs -L1 echo "> "
+echo "$notes" | sed 's/^/> /'
echo
echo "It will then push the version ... | bash |
d_bash_6270 | ---
+++
@@ -24,3 +24,14 @@
echo "========> Generate ITFs"
cd $HOME/lib-ledger-core
./tools/generate_interfaces.sh
+
+unamestr=`uname`
+#This is a workaround because building directly
+#SQLCipher for arm64 and armv7 is failing
+#fro more details please refer to comments
+#in core/lib/cmake/configure_sqlcipher_ios.s... | bash |
d_bash_6271 | ---
+++
@@ -29,9 +29,11 @@
then
pip install simplejson ordereddict ||
error_exit "${LINENO}: can't install extras for Python ${version}"
- pip install -r ${PLOTLY_OPTIONAL_REQUIREMENTS_FILE_2_6}
+ pip install -r ${PLOTLY_OPTIONAL_REQUIREMENTS_FILE_2_6} ||
+ error_ex... | bash |
d_bash_6272 | ---
+++
@@ -33,6 +33,7 @@
sed -i "" -e "s/version: \".*\"/version: \"$1\"/g" package.exs
git add src/meck.app.src
git add doc/overview.edoc
+git add package.exs
# Commit, tag and push
git commit -m "Version $1" | bash |
d_bash_6273 | ---
+++
@@ -2,7 +2,7 @@
set -ex -o pipefail
BCBIO_VERSION="1.0.6a"
-BCBIO_REVISION="21424f1"
+BCBIO_REVISION="34a0c4e"
NS="quay.io/bcbio"
TAG="${BCBIO_VERSION}-${BCBIO_REVISION}"
| bash |
d_bash_6274 | ---
+++
@@ -17,4 +17,4 @@
done
# switch default shell to zsh
-# _test_executable "zsh" && chsh -s "$(command -v zsh)"
+_test_executable "zsh" 2>/dev/null && chsh -s "$(command -v zsh)" | bash |
d_bash_6275 | ---
+++
@@ -24,11 +24,11 @@
UTILITIES="tree curl"
echo "Install dependencies: Begin"
-apt-get install $DEPENDENCIES
+apt-get -y install $DEPENDENCIES
echo "Install dependencies: End"
echo "Install utilities: Begin"
-apt-get install $UTILITIES
+apt-get -y install $UTILITIES
echo "Install utilities: End"
e... | bash |
d_bash_6276 | ---
+++
@@ -6,6 +6,11 @@
set -o xtrace
cd "$(dirname "$0")/.."
+
+if [[ "$#" -ne 2 ]]; then
+ echo "Usage: $0 new-version release-branch"
+ echo "Example: $0 0.8.0.4 0.8.x"
+fi
new_version=$1
release_branch=$2 | bash |
d_bash_6277 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-VERSION=0.4.8
+VERSION=0.4.9
TMPDIR=/tmp/google-api-php-client
RELFILE=/tmp/google-api-php-client-${VERSION}.tar.gz
| bash |
d_bash_6278 | ---
+++
@@ -3,6 +3,6 @@
rm -rf dist
rm -rf gyb-$1-macos.tar.xz
-/Library/Frameworks/Python.framework/Versions/3.6/bin/pyinstaller -F --clean --distpath=gyb macos-gyb.spec
+/Library/Frameworks/Python.framework/Versions/3.7/bin/pyinstaller -F --clean --distpath=gyb macos-gyb.spec
cp LICENSE gyb/
tar cJf gyb-$1-ma... | bash |
d_bash_6279 | ---
+++
@@ -66,12 +66,8 @@
reset(){
cd $buildDir
- if [[ -e $1 ]]; then
- git reset --hard $1
- else
- git reset --hard
- fi
-
+ git reset --hard $1
+
cd $baseDir
}
| bash |
d_bash_6280 | ---
+++
@@ -1,12 +1,12 @@
#!/bin/bash
+
+IMAGE=${IMAGE:-"image.png"}
echo "Rendering image"
-if [ -z "$ROTATE" ]; then
- ROTATE=0
-fi
+ROTATE=${ROTATE:-0}
-convert images/image.png -rotate $ROTATE images/rotated.png
+convert images/"$IMAGE" -rotate $ROTATE images/rotated.png
fbi -d /dev/fb1 -T 1 -noverbos... | bash |
d_bash_6281 | ---
+++
@@ -9,7 +9,7 @@
tarFile=solr-4.4.0.tgz
mkdir -p $optDirectory
- wget http://archive.apache.org/dist/lucene/solr/4.4.0/$tarFile -P $optDirectpry
+ wget http://archive.apache.org/dist/lucene/solr/4.4.0/$tarFile -P $optDirectory
if ls $optDirectory/README* ; then
rm $optDirectory... | bash |
d_bash_6282 | ---
+++
@@ -8,6 +8,6 @@
source /home/zookeeper/.profile
-/opt/zookeeper/zookeeper-<%= node[:zookeeper][:version] %>/bin/zkCleanup.sh <%= node[:zookeeper][:dataDir] %> <%= node[:zookeeper][:snapshotDir] %> <%= node[:zookeeper][:snapshotNum] %>
+<%= node[:zookeeper][:installDir] %>/zookeeper-<%= node[:zookeeper][... | bash |
d_bash_6283 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-if is_in_list "cron" "$ENABLED_SERVICES"; then
+if is_in_list "crond" "$ENABLED_SERVICES"; then
sectionText "Configuring crond as the cronjob handler"
php $WORKDIR/docker/contrib/gen_crontab.php
fi | bash |
d_bash_6284 | ---
+++
@@ -1,3 +1,4 @@
+alias install_kiex='\curl -sSL https://raw.githubusercontent.com/taylor/kiex/master/install | bash -s'
alias ism='iex -S mix'
alias meb='mix escript.build'
| bash |
d_bash_6285 | ---
+++
@@ -1,4 +1,7 @@
# Shell Aliases
+
+# use <C-s> in vim
+alias vim="stty stop '' -ixoff ; vim"
# minitest aliases
alias minitest='ruby -Ilib:test' | bash |
d_bash_6286 | ---
+++
@@ -1,6 +1,20 @@
#!/usr/bin/env bash
git clone -b develop --single-branch git@github.com:quarkusio/quarkusio.github.io.git target/web-site
+
+if [ $# -eq 0 ]; then
+ BRANCH="main"
+else
+ BRANCH=$1
+fi
+
+if [[ $BRANCH == "main" ]]; then
+ TARGET_GUIDES=target/web-site/_guides
+ TARGET_CONFIG=target/w... | bash |
d_bash_6287 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-curl -LO https://www.python.org/ftp/python/3.5.0/Python-3.5.0b2.tar.xz
+curl -LO https://www.python.org/ftp/python/3.5.0/Python-3.5.0rc1.tar.xz
tar -xJf Python-3.5.0b2.tar.xz
cd Python-3.5.0b2
./configure --prefix=${HOME}/.local && make install | bash |
d_bash_6288 | ---
+++
@@ -26,4 +26,4 @@
apt-get -y -qq upgrade > /dev/null
# Install baseline packages
-apt-get install -y -qq git xinetd perl wget curl python ssh > /dev/null
+apt-get install -y -qq git xinetd perl wget curl python ssh mysql-server openjdk-7-jdk maven > /dev/null | bash |
d_bash_6289 | ---
+++
@@ -5,7 +5,7 @@
keepassxc "$HOME/Drive_work/pettinger@cqse.kdbx" & sleep 1
terminator -x /usr/bin/zsh -i -c cqse
- i3-msg "exec --no-startup-id spotify & sleep 1.5 && i3-msg move scratchpad"
+ i3-msg "exec --no-startup-id spotify & sleep 3 && i3-msg move scratchpad"
sleep 1
$HOME/bin/messagi... | bash |
d_bash_6290 | ---
+++
@@ -11,4 +11,6 @@
cd thrift-0.9.2
./configure --with-cpp=yes --with-c_glib=no --with-java=no --with-ruby=no --with-erlang=no --with-go=no --with-nodejs=no
make -j2 && sudo make install
-cd ..
+cd lib/py
+sudo python setup.py install
+cd ../../.. | bash |
d_bash_6291 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+
+set -e
if [[ -z $1 ]]
then
@@ -9,14 +11,19 @@
version_number=$1
version_date=$(date -I -u)
-cat <<EOF >dakara_player_vlc/version.py
+version_file=dakara_player_vlc/version.py
+cat <<EOF >$version_file
__version__ = '$version_number'
__date__ = '$version_date'
EOF
+... | bash |
d_bash_6292 | ---
+++
@@ -32,7 +32,7 @@
K8S_NAMESPACE="${K8S_NAMESPACE:-kube-system}"
while read -r p; do
- kubectl -n "${K8S_NAMESPACE}" exec -ti $p -- $*&
+ kubectl -n "${K8S_NAMESPACE}" exec -ti $p -- "${@}" &
done <<< "$(kubectl -n ${K8S_NAMESPACE} get pods -l k8s-app=cilium | awk '{print $1}' | grep cilium)"
wait | bash |
d_bash_6293 | ---
+++
@@ -6,17 +6,17 @@
echo "### List local versions"
cleanup
-for v in 0.6.2 0.6.16 0.7.0-rc4 0.7.0 0.8.0-beta2; do
+for v in 0.6.16 0.7.0-rc4 0.7.2 0.7.13 0.8.0-beta2; do
tfenv install ${v}
done
result=$(tfenv list)
expected="$(cat << EOS
0.8.0-beta2
-0.7.0
+0.7.13
+0.7.2
0.7.0-rc4
0.6.16
-0.6.2
... | bash |
d_bash_6294 | ---
+++
@@ -9,9 +9,12 @@
echo "- Installing git"
-# Defer apt-get update & upgrade for later. It'll be done via a nightly cron
-# job. Doing it now takes several minutes and the user is eagerly waiting for
-# the lights to come up!
+# apt-get update must be done right away, since the old packages are likely not
... | bash |
d_bash_6295 | ---
+++
@@ -7,6 +7,4 @@
pacman -Syu --noconfirm
-pacman -S --noconfirm mingw-w64-x86_64-toolchain mingw-w64-x86_64-llvm mingw-w64-x86_64-clang mingw-w64-x86_64-clang-tools-extra mingw-w64-x86_64-cmake mingw-w64-x86_64-ninja mingw-w64-x86_64-qt5 git bison flex mingw-w64-x86_64-python3
-
-./setup.sh
+pacman -S --... | bash |
d_bash_6296 | ---
+++
@@ -30,3 +30,4 @@
# MISC #
########
alias bkoff="cd ~/.bin/backup && git reset HEAD --hard && git pull && chmod 755 backup.sh && /bin/bash -l -c '~/.bin/backup/backup.sh'"
+alias xcd="/Applications/Xcode.app/Contents/MacOS/Xcode </dev/null &>/dev/null &" | bash |
d_bash_6297 | ---
+++
@@ -10,6 +10,9 @@
#gpg --edit-key {username}@keybase.io
# then adduid
+# Update the trust level to don't show warning messages
+# gpg --edit-key {username}@keybase.io trust quit
+
git config --global user.signingkey $(git config --get user.email)
git config --global commit.gpgsign true
| bash |
d_bash_6298 | ---
+++
@@ -8,6 +8,6 @@
delta=$((stop_ts - start_ts))
-if [ $delta -ge 2 ] || [ $delta -le 4 ]; then
+if [ $delta -ge 2 ] && [ $delta -le 4 ]; then
echo pass
fi | bash |
d_bash_6299 | ---
+++
@@ -27,4 +27,4 @@
sed -i "s/secret\_key\_place\_holder/${SECRET_KEY}/" "${local_settings_file}"
fi
-ln -s "${local_settings_file}" "/pinry/pinry/settings/local_settings.py"
+cp "${local_settings_file}" "/pinry/pinry/settings/local_settings.py" | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.